EDIT - bug #6729

NPE when closing the editor
06/15/2017 10:54 AM - Katja Luther

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

While shut down tre editor following exception occurs:

'ENTRY org.eclipse.osgi 4 0 2017-06-15 10:43:29.138
!MESSAGE Application error
I'STACK 1
org.eclipse.swt.SWIException: Failed to execute runnable (java.lang.NullPointerException)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.swt.widgets.Display.release (Display.java:3881)

at org.eclipse.swt.graphics.Device.dispose (Device.java:298)

at eu.etaxonomy.taxeditor.Application.start (Application. java:30)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.model.AbstractUtility.getActivePage (AbstractUtility.java:144)

at eu.etaxonomy.taxeditor.model.AbstractUtility.getActiveEditor (AbstractUtility.java:725)

at eu.etaxonomy.taxeditor.editor.view.descriptive.DescriptiveViewPart.selectionChanged_interna
1 (DescriptiveViewPart. java:156)

at eu.etaxonomy.taxeditor.view.AbstractCdmEditorViewPart$DelaySelection.run (AbstractCdmEditorV
iewPart.java:52)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

17 more

'ENTRY org.eclipse.ed.ui.workbench 4 0 2017-06-15 10:43:29.200
IMESSAGE FrameworkEvent ERROR
I!STACK O
org.eclipse.ed.core.di.InjectionException: org.eclipse.swt.SWTException: Invalid thread access

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65)

at org.eclipse.ed.core.internal.di.InjectorImpl.processAnnotated(InjectorImpl. java:966)

at org.eclipse.ed.core.internal.di.InjectorImpl.disposed(InjectorImpl.java:426)

at org.eclipse.ed.core.internal.di.Requestor.disposed (Requestor.java:154)

at org.eclipse.ed.core.internal.contexts.ContextObjectSupplier$ContextInjectionlListener.update
(ContextObjectSupplier.java:78)

at org.eclipse.ed.core.internal.contexts.TrackableComputationExt.update (TrackableComputationEx
t.java:111)
History

#1 - 06/15/2017 10:54 AM - Katja Luther

- Assignee changed from Andreas Miiller to Katja Luther
